com.smartgwt.client.data.fields

## Class DataSourceImageField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.DataSourceField
      - - com.smartgwt.client.data.fields.DataSourceImageField

-     public class DataSourceImageField
      extends DataSourceField

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceImageField()`
    `DataSourceImageField(java.lang.String name)`
    `DataSourceImageField(java.lang.String name, java.lang.String title)`
    `DataSourceImageField(java.lang.String name, java.lang.String title, int length)`
    `DataSourceImageField(java.lang.String name, java.lang.String title, int length, boolean required)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getImageURLPrefix()` Return the imageURLPrefix.
    `void` | `setImageHeight(java.lang.String imageHeight)` Height of the image-content of this field.
    `void` | `setImageURLPrefix(java.lang.String imageURLPrefix)` Set the imageURLPrefix.
    `void` | `setImageWidth(java.lang.String imageWidth)` Width of the image-content of this field.
    `void` | `setWidth(java.lang.Integer length)`

    - ### Methods inherited from class com.smartgwt.client.data.DataSourceField

      `exportForceText, getAutoGenerated, getCanEdit, getCanExport, getCanFilter, getCanSave, getCanSortClientOnly, getCanView, getChildrenProperty, getChildTagName, getDateFormatter, getDecimalPad, getDecimalPrecision, getDetail, getDisplayField, getEscapeHTML, getExportTitle, getForeignKey, getGroup, getHidden, getImageHeight, getImageHeightAsString, getImageSize, getImageSizeAsString, getImageWidth, getImageWidthAsString, getInapplicable, getLength, getLenientXPath, getMultiple, getMultipleValueSeparator, getName, getNillable, getOrCreateRef, getPluralTitle, getPrecision, getPrimaryKey, getPrompt, getPropertiesOnly, getRequired, getRootValue, getSequenceName, getShowFileInline, getSummaryFunction, getSummaryValueTitle, getTimeFormatter, getTitle, getType, getTypeAsDataSource, getUploadFieldName, getValidators, getValidOperators, getValueMap, getValueXPath, getXmlAttribute, setAutoGenerated, setCanEdit, setCanExport, setCanFilter, setCanSave, setCanSortClientOnly, setCanView, setChildrenProperty, setChildTagName, setDateFormatter, setDecimalPad, setDecimalPrecision, setDetail, setDisplayField, setEditorProperties, setEditorType, setEditorType, setEditorType, setEscapeHTML, setExportTitle, setFieldValueExtractor, setForeignKey, setGroup, setHidden, setImageHeight, setImageSize, setImageSize, setImageWidth, setInapplicable, setJavaScriptObject, setLength, setLenientXPath, setMultiple, setMultipleValueSeparator, setName, setNillable, setPluralTitle, setPrecision, setPrimaryKey, setPrompt, setPropertiesOnly, setReadOnlyEditorProperties, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyEditorType, setRequired, setRootValue, setRootValue, setRootValue, setRootValue, setSequenceName, setShowFileInline, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryValueTitle, setTimeFormatter, setTitle, setType, setType, setType, setTypeAsDataSource, setUploadFieldName, setValidators, setValidOperators, setValueMap, setValueMap, setValueXPath, setXmlAttribute`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getJsObj, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, hashCode, isCreated, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceImageField

          public DataSourceImageField()

    - #### DataSourceImageField

          public DataSourceImageField(java.lang.String name)

    - #### DataSourceImageField

          public DataSourceImageField(java.lang.String name,
                              java.lang.String title)

    - #### DataSourceImageField

          public DataSourceImageField(java.lang.String name,
                              java.lang.String title,
                              int length)

    - #### DataSourceImageField

          public DataSourceImageField(java.lang.String name,
                              java.lang.String title,
                              int length,
                              boolean required)

  - ### Method Detail

    - #### setImageHeight

          public void setImageHeight(java.lang.String imageHeight)

      Description copied from class: `DataSourceField`
      Height of the image-content of this field. If set as a string, represents the name of another field in the record that holds the imageHeight. Applicable only to fields of image type or fields that use a `ViewFileItem` as an editor.
      Overrides:
        `setImageHeight` in class `DataSourceField`
      Parameters:
        `imageHeight` - imageHeight Default value is null

    - #### setImageWidth

          public void setImageWidth(java.lang.String imageWidth)

      Description copied from class: `DataSourceField`
      Width of the image-content of this field. If set as a string, represents the name of another field in the record that holds the imageWidth. Applicable only to fields of image type or fields that use a `ViewFileItem` as an editor.
      Overrides:
        `setImageWidth` in class `DataSourceField`
      Parameters:
        `imageWidth` - imageWidth Default value is null

    - #### setWidth

          public void setWidth(java.lang.Integer length)

    - #### setImageURLPrefix

          public void setImageURLPrefix(java.lang.String imageURLPrefix)

      Set the imageURLPrefix.
      Parameters:
        `imageURLPrefix` - the imageURLPrefix

    - #### getImageURLPrefix

          public java.lang.String getImageURLPrefix()

      Return the imageURLPrefix.
      Returns:
        the imageURLPrefix